GDB (xrefs)

Public Attributes | List of all members
objc_class Struct Reference

## Public Attributes
CORE_ADDR | isa
CORE_ADDR | super_class
CORE_ADDR | name
long | version
long | info
long | instance_size
CORE_ADDR | ivars
CORE_ADDR | methods
CORE_ADDR | cache
CORE_ADDR | protocols

## Detailed Description

Definition at line 53 of file objc-lang.c.

## Member Data Documentation

## ◆ cache

CORE_ADDR objc_class::cache

Definition at line 62 of file objc-lang.c.

Referenced by read_objc_class().

## ◆ info

long objc_class::info

Definition at line 58 of file objc-lang.c.

Referenced by read_objc_class().

## ◆ instance_size

long objc_class::instance_size

Definition at line 59 of file objc-lang.c.

Referenced by read_objc_class().

## ◆ isa

CORE_ADDR objc_class::isa

Definition at line 54 of file objc-lang.c.

Referenced by read_objc_class().

## ◆ ivars

CORE_ADDR objc_class::ivars

Definition at line 60 of file objc-lang.c.

Referenced by read_objc_class().

## ◆ methods

CORE_ADDR objc_class::methods

Definition at line 61 of file objc-lang.c.

Referenced by find_implementation_from_class(), and read_objc_class().

## ◆ name

CORE_ADDR objc_class::name

Definition at line 56 of file objc-lang.c.

Referenced by read_objc_class().

## ◆ protocols

CORE_ADDR objc_class::protocols

Definition at line 63 of file objc-lang.c.

Referenced by read_objc_class().

## ◆ super_class

CORE_ADDR objc_class::super_class

Definition at line 55 of file objc-lang.c.

Referenced by find_implementation_from_class(), and read_objc_class().

## ◆ version

long objc_class::version

Definition at line 57 of file objc-lang.c.

Referenced by read_objc_class().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/objc-lang.c